#
# spec file for package monitoring-plugins-repomd
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           monitoring-plugins-repomd
Summary:        Plugin to check freshness of repomd.xml file
License:        BSD-3-Clause
Group:          System/Monitoring
Version:        2.1
Release:        2.11
URL:            http://en.opensuse.org/%{name}
Source0:        check_repomd
Source1:        usr.lib.nagios.plugins.check_repomd
Requires:       bash
Requires:       curl
Requires:       grep
Requires:       monitoring-plugins-common
Recommends:     apparmor-parser
BuildRequires:  monitoring-plugins-common
BuildRequires:  nagios-rpm-macros
%if 0%{?suse_version} >= 1500
BuildRequires:  sed
%endif
Provides:       nagios-plugins-repomd = %{version}-%{release}
Obsoletes:      nagios-plugins-repomd < %{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This plugin checks the up-to date state of repomd.xml.

Important options:
 -u <url_to_repomd.xml> : please enter the full URL to the repomd.xml file
 -o <days>              : days unless a repomd.xml file is handled as outdated (default: 30)

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%{nagios_plugindir}/check_repomd
install -D -m644 %{SOURCE1} %buildroot/%{_sysconfdir}/apparmor.d/usr.lib.nagios.plugins.check_repomd
%if 0%{?suse_version} >= 1500
sed -i "s|/bin/grep|%{_bindir}/grep|; \
		s|/bin/cat|%{_bindir}/cat|; \
		s|/bin/mktemp|%{_bindir}/mktemp|" %buildroot/%{nagios_plugindir}/check_repomd
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/apparmor.d
%{nagios_plugindir}/check_repomd
%config(noreplace) %{_sysconfdir}/apparmor.d/usr.lib.nagios.plugins.check_repomd

%changelog
* Fri Jul 30 2021 ro@suse.de
- use "-L" option for curl to follow redirects
* Sun Apr 28 2019 lars@linux-schulserver.de - 2.1
- update to 2.1:
  + be a bit more robust if curl fails or produces unknown output
- include abstractions/bash and abstractions/openssl in the apparmor
  profile to avoid misleading DENIED messages in audit log
- path for grep, cat and mktemp were moved to /usr/bin - use sed
  to adjust the script in spec
* Mon Apr 15 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Sun Apr 14 2019 Christian Boltz <suse-beta@cboltz.de>
- update AppArmor profile for usrMerge (boo#1132350)
* Thu Jan  7 2016 ro@suse.de
- only check for revision/date if there is a suseinfo entry
  in the repomd.xml file
* Wed Jul 30 2014 lars@linux-schulserver.de
- Renamed package to monitoring-plugins-repomd
* Tue Sep 17 2013 lars@linux-schulserver.de
- update to 2.0:
  + analyse the revision tag in repomd.xml directly instead of
    using the last modified information
- added initial apparmor profile
* Mon Sep 16 2013 lars@linux-schulserver.de
- initial version 1.0
